paraent_folder="test_our_llama_100"
target_model="meta-llama/Llama-2-7b-hf"
oracal_model="meta-llama/Llama-2-13b-hf"
ref_model="TinyLlama/TinyLlama_v1.1"
vocab_size=32000
num_samples=1000
for algorithm_name in "KGW" "Unigram"
do
    
    for setting in  "watermarked_with_gpt-3.5" "watermarked" "watermarked_with_word-d" "watermarked_with_word-s" "baseline" "unwatermarked"
    do 
        python main.py setting=$setting num_samples=$num_samples algorithm_name=$algorithm_name paraent_folder=$paraent_folder target_model=$target_model oracal_model=$oracal_model ref_model=$ref_model vocab_size=$vocab_size
    done

    setting="watermarked_with_our_attack"
    attack_type="our_attack"
    for attack_strength in 0.5
    do
        python main.py setting=$setting num_samples=$num_samples algorithm_name=$algorithm_name attack_type=$attack_type paraent_folder=$paraent_folder attack_strength=$attack_strength oracal_model=$oracal_model target_model=$target_model ref_model=$ref_model vocab_size=$vocab_size
    done
done